using System;

class Program {
    static void Main(string[] args){
        string[] input = Console.ReadLine().Split(' ');
        int n = Convert.ToInt32(input[0]);
        int k = Convert.ToInt32(input[1]);
        int x = Convert.ToInt32(input[2]);
        int kv = k/n + 1;

        if(k == 0) {
            string result = "1";
            for(int i = 0; i < n-1; i++) result += " 1";
            Console.WriteLine(result);
        }
        else if (k == 3 && k != n){
            string result = "" + (x+1);
            for(int i = 0; i < k; i++) result += " 1";
            for(int i = 0; i < n-k-1; i++) result += " " + x;
            Console.WriteLine(result);
        }
        else { 
        string result = "";
        for(int i = 0; i < kv; i++) result += ((i+1)*x+1) + ""; 
        for(int i = 0; i < k-kv*kv+1; i++) result += " 1" ;
        for(int i = 0; i < n-(kv+k-kv*kv+1); i++) result += " " + ((x+kv*x)/2);
        if(kv <= 2 || n-(kv+k-kv*kv+1) <= 0) Console.WriteLine(result);
        if(k == 3 && k == n) result = (x+x+1) + " " + (x + 1) + " " + 1;
        else Console.WriteLine(-1);
        }
    }
}